RUDOF(1)

NAME
rudof - A tool to process graph data (RDF and Property Graphs) using schemas (ShEx, SHACL, DCTAP, etc.)

SYNOPSIS
rudof [OPTIONS] [COMMAND]

DESCRIPTION
A tool to process graph data (RDF and Property Graphs) using schemas (ShEx, SHACL, DCTAP, etc.)

  Commands:

shapemap
    Show information about ShEx ShapeMaps

shex
    Show information about ShEx schemas

validate
    Validate RDF data using ShEx or SHACL

shex-validate
    Validate RDF using ShEx schemas

shacl-validate
    Validate RDF data using SHACL shapes

data
    Show information about RDF data

node
    Show information about a node in an RDF Graph

shacl
    Show information about SHACL shapes The SHACL schema can be passed through the data options or the optional schema options to provide an interface similar to Shacl-validate

dctap
    Show information and process DCTAP files

convert
    Convert between different Data modeling technologies

compare
    Compare two shapes (which can be in different formats)

rdf-config
    Show information about SPARQL service

service
    Show information about SPARQL service

query
    Run SPARQL queries

generate
    Generate synthetic RDF data from ShEx or SHACL schemas

help
    Print this message or the help of the given subcommand(s)

OPTIONS

-d, --debug...

-h, --help

    Print help (see a summary with '-h')

-V, --version

    Print version